#!/bin/sh
# vim: ts=4 sw=4 noet ai syn=sh
#
# $Coar: periodic/daily/342.cvs.sh,v 1.1 2009/01/02 15:48:59 mdev Exp $
#

if [ -r /etc/defaults/periodic.conf ]
then
    . /etc/defaults/periodic.conf
    source_periodic_confs
fi
# Set defaults
daily_cvs_enable=${daily_cvs_enable:-"NO"}
daily_cvs_dirs=${daily_cvs_dirs:-"/usr/ports"}
daily_cvs_flags=${daily_cvs_flags:-"-q"}
daily_cvs_update_flags=${daily_cvs_update_flags:-"-d -P"}
daily_cvs_program=${daily_cvs_program:-"/usr/bin/cvs"}
daily_cvs_verbose=${daily_cvs_verbose:-"NO"}

case "$daily_cvs_enable" in
    [Yy][Ee][Ss])
	echo ''
	echo 'Running cvsup:'
	for dir in ${daily_cvs_dirs}; do
		cd ${dir}
		case "${daily_cvs_verbose}" in
			[Yy][Ee][Ss])
			${daily_cvs_program} ${daily_cvs_flags} update \
				${daily_cvs_update_flags} .
			;;
			*)
			${daily_cvs_program} ${daily_cvs_flags} update \
				${daily_cvs_update_flags} . 2>&1 | grep '^[CM]'
			;;
		esac
		rc=$((${rc} + $?))
	done
	echo ''
	;;
	*) rc=0;;
esac
